QGIS Application - Bug report #4370
Can not start QGIS
2011-10-11 01:41 AM - Daniel Rohde

Status: Closed

Priority: Normal

Assignee:

Category: Build/Install

Affected QGIS version: Regression?: No
Operating System: XP/Win7 Easy fix?: No
Pull Request or Patch supplied: Resolution: wontfix
Crashes QGIS or corrupts data: Copied to github as #: 14302
Description

Hello

| got a problem with a DLL (libeay32.dll) and the search order for DLLs.

A Program called "CrystalReport Viewer" installed a DLL with the Name "LIBEAY32.dIl" into the Windows system directory.

QGIS is using a DLL with the same name, but from a different manufacturer.

Soif | try to start QGIS, it searches for the "LIBEAY32.dIl" in the Windows system directory. So QGIS finds the wrong DLL and can't start.
The question is:

Why QGIS doesn't search in its own installation directory first, and then try to find the missing DLL in the Windows system directory?

In my oppinion there is something wrong with the search-order.

Related issues:
Related to QGIS Application - Bug report # 5863: QGIS doesn't start Rejected 2012-06-25

History

#1 -2011-11-12 05:51 AM - Tim Sutton
- Target version changed from Version 1.7.1 to Version 1.7.2

#2 - 2011-11-30 12:40 PM - Giovanni Manghi
- Target version changed from Version 1.7.2 to Version 1.7.3

#3 - 2011-12-09 08:39 AM - Paolo Cavallini
- Category set to Build/Install

#4 - 2011-12-09 08:53 AM - Paolo Cavallini
- Status changed from Open to Feedback

Can the order be decided at the application level, or is it system-wide?

#5 - 2011-12-09 02:50 PM - Jiirgen Fischer

Paolo Cavallini wrote:

Can the order be decided at the application level, or is it system-wide?

Not really. Windows searches the directory where the .exe is first, system32 second and then everything that is in PATH. So QGIS doesn't have a chance
to prevent usage of the system32 version (unless we move all DLLs to a single spot).

2025-04-27 12




Moving the incompatible LIBEAY32.DLL version from system32 to the "CrystalReports Viewer" directory would also help.

#6 - 2011-12-10 05:33 AM - Paolo Cavallini
- Resolution set to wontfix
- Status changed from Feedback to Closed

So | guess we cannot do much from QGIS side. Reopen if necessary.
